custom_plot_grid <- function(fig1, fig2, fig3, adjustment = 1.17){
  
  A <- fig1
  B <- fig2 %+%
    theme(axis.text.y = element_blank(),
          axis.ticks.y = element_blank(),
          axis.title.y = element_blank())
  C <- fig3 %+%
    theme(axis.text.y = element_blank(),
          axis.ticks.y = element_blank(),
          axis.title.y = element_blank())
  
  plot_grid(A, B, C, ncol = 3, align = "h", rel_widths = c(adjustment, 1, 1))
  
}