# A function to make a subset of data-frame
subset_data <- function(df, which_one_first, position_name) {
  
  if (which_one_first == position_name){
    
    outcome  <- fst_ten
    conjoint <- fst_conjoint
    
  } else if (which_one_first != position_name){
    
    outcome  <- snd_ten
    conjoint <- snd_conjoint
    
  } else {
    
    print("Something is wrong. Check your code")
    
  }
  
  df %>% 
    filter(first == which_one_first) %>% 
    mutate(position = position_name) %>% 
    select(OriginalRID, first, position, all_of(outcome)) %>% 
    set_names(c("id", "first", "position", paste0("Q", 1:10))) %>% 
    left_join(conjoint, by = "id")
  
}
